List Subject Access Requests by data source and status
1 min
GET
https://api.optimizely.com/v2/internal-subject-access-requests
per_pageintegerOptional pagination argument that specifies the maximum number of objects to return per request
pageintegerOptional pagination argument that specifies the page to return. If you have 140 objects and you choose to return 100 objects per page you will be able to access the last 40 objects on page 2. The default value is 1.
data_sourcestringName of the source for which to retrieve the Subject Access Requests
statusstringFilter request by status
acceptstringGenerated from available response content types
200Return Subject Access Request information
400Invalid or missing query parameters
401Invalid credentials
defaultUnexpected error
curl --request GET \
--url 'https://api.optimizely.com/v2/internal-subject-access-requests?per_page=25&page=1&data_source=app_backend&status=string' \
--header 'accept: application/json'